#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

#
# Provide an api to work with Bi sensors
#
class Api::V1::SensorsBiController < Api::V1::BaseSensorsController
  # ----------------------------------------------
  # Before and after actions
  # ----------------------------------------------
  before_action :set_parent, only: :create
  before_action :manage_parent, only: :create

  # ----------------------------------------------
  # Actions
  # ----------------------------------------------

  #
  # Create a new sensor bi
  #
  def create
    @sensor = Sensor.new(params_bi)
    @sensor.parent = @parent
    @sensor.type = Sensor::BI

    # Check error when save
    return error_on_sensor(@sensor) unless @sensor.save
    # Wakeup chef and return
    wakeup_chef
    render json: {
      query: true,
      sensor: bi_json
    }
  end

  private

  # Params and renderization
  # ----------------------------------------------

  def params_bi
    params.permit(*Sensor.import_columns(Sensor::BI))
  end

  def bi_json
    { id: @sensor.id, uuid: @sensor.uuid, name: @sensor.name }
  end
end
