DittoCode::HoldFile.if 'ENTERPRISE'

#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

Rails.logger.info '[RB] Loading Bi module'

Redborder::Module.register :bi do

  name 'Bi'
  path 'bi'
  session_id 'bi'
  data_source 'Bi'
  customizable_tabs true
  selectable_widget true
  cep_topic :rb_bi_post


  menu :product_menu, :bi, { controller: :bi, action: :tops },
         caption: 'Business Intelligence',
         html: { class: 'block-ui-but' }

  widgets [
    {
      id: 'heatmap',
      name: 'Heatmap',
      icon: 'icons/heatmap.svg'
    }
  ]

  var_col = columns ({
    organization_id:        { enabled: false, size: 1, columns: { organization_id: 'Organization id' }, category: 'General' },
    organization_name:      { enabled: true, size: 1,  columns: { organization_name: 'Organization Name' }, category: 'General' },
    
    feedback_id:            { enabled: false, size: 1, columns: { feedback_id: "Feedback id" }, category: 'General' },
    answer_id:              { enabled: false, size: 1, columns: { answer_id: "Answer id" }, category: 'General' },
    question_id:            { enabled: false, size: 1, columns: { question_id: "Question id" }, category: 'General' },
    question:               { enabled: true, size: 1,  columns: { question: "Question" }, category: 'General' },
    questionnaire_name:     { enabled: true, size: 1,  columns: { questionnaire_name: "Questionnaire Name" }, category: 'General' },
    questionnaire_id:       { enabled: false, size: 1, columns: { questionnaire_id: "Questionnaire id" }, category: 'General' },
    answer:                 { enabled: true, size: 1,  columns: { answer: "Answer" }, category: 'General' },

    # Client DATA
    client_id:              { enabled: true, size: 1,  columns: { client_id: "Client ID" }, category: 'Client Data' },
    client_name:            { enabled: false, size: 1, columns: { client_name: "Client Name" }, category: 'Client Data' },
    client_age:             { enabled: false, size: 1, columns: { client_age: "Client Age" }, category: 'Client Data' },
    client_country:         { enabled: false, size: 1, columns: { client_country: "Client Country" }, category: 'Client Data' },
    client_city:            { enabled: false, size: 1, columns: { client_city: "Client City" }, category: 'Client Data' },
    client_gender:          { enabled: false, size: 1, columns: { client_gender: "Client Gender" }, category: 'Client Data' },
    
    # Network
    sensor_name:            { enabled: true, size: 1,  columns: { sensor_name: 'Sensor' }, category: 'Network' },
    fromhost_ip:            { enabled: false, size: 1, columns: { fromhost_ip: "SRC Address" }, category: 'Network' },
    
    # Location and UUIDs categories
    #client_latlong:        { enabled: false, size: 1,  columns: { client_latlong: 'Coordinates' }, category: 'Location' },
    coordinates_map:       { enabled: false, size: 1,  columns: { client_latlong: 'Coordinates Map' }, hide_raw: true, category: 'Location' },
    sensor_uuid:           { enabled: false, size: 1,  columns: { sensor_uuid: 'Sensor UUID' }, category: 'UUIDs' },
    proxy_uuid:            { enabled: false, size: 1,  columns: { proxy_uuid: 'Client Proxy' }, category: 'UUIDs' },    
    service_provider:      { enabled: false, size: 1,  columns: { service_provider: "Service Provider" }, category: 'Location', hide_global: true },
    service_provider_uuid: { enabled: false, size: 1,  columns: { service_provider_uuid: "Service Provider UUID" }, category: 'UUIDs', hide_global: true },
    namespace:             { enabled: false, size: 1,  columns: { namespace: "Namespace" }, category: 'Location', hide_global: true },
    namespace_uuid:        { enabled: false, size: 1,  columns: { namespace_uuid: "Namespace UUID" }, category: 'UUIDs', hide_global: true },
    deployment:            { enabled: false, size: 1,  columns: { deployment: "Deployment" }, category: 'Location', hide_global: true },
    deployment_uuid:       { enabled: false, size: 1,  columns: { deployment_uuid: "Deployment UUID" }, category: 'UUIDs', hide_global: true },
    market:                { enabled: false, size: 1,  columns: { market: "Market" }, category: 'Location', hide_global: true },
    market_uuid:           { enabled: false, size: 1,  columns: { market_uuid: "Market UUID" }, category: 'UUIDs', hide_global: true },
    organization:          { enabled: false, size: 1,  columns: { organization: "Organization" }, category: 'Location', hide_global: true },
    organization_uuid:     { enabled: false, size: 1,  columns: { organization_uuid: "Organization UUID" }, category: 'UUIDs', hide_global: true },
    campus:                { enabled: false, size: 1,  columns: { campus: 'Campus' }, category: 'Location', hide_global: true },
    campus_uuid:           { enabled: false, size: 1,  columns: { campus_uuid: 'Campus UUID' }, category: 'UUIDs', hide_global: true },
    building:              { enabled: false, size: 1,  columns: { building: "Building" }, category: 'Location', hide_global: true },
    building_uuid:         { enabled: false, size: 1,  columns: { building_uuid: "Building UUID" }, category: 'UUIDs', hide_global: true },
    floor:                 { enabled: false, size: 1,  columns: { floor: "Floor" }, category: 'Location', hide_global: true },
    floor_uuid:            { enabled: false, size: 1,  columns: { floor_uuid: "Floor UUID" }, category: 'UUIDs', hide_global: true }
  })

  aggregations ({
    events: {
      name: 'events', unit: 'events', value: :events, size: 1,
      aggregations: [
        { type: 'longSum', name: 'events', fieldName: 'events' }
      ],
      description: "Events"
    },
    clients: {
      name: 'clients', unit: 'clients', value: :clients, size: 1, round: true,
      aggregations: [
        { type: 'hyperUnique', name: 'clients', fieldName: 'clients' }
      ],
      description: "Number of clients"
    }
  })

  menu :sensor_tree_menu, :new_bi_sensor, { controller: :sensors, action: :new_bi },
        caption: "<i class='sensor-menu-icon bi'></i> Bi".html_safe,
        html: {'data-backdrop' => 'static', 'data-target' => '#new_sensor_modal', 'data-toggle' => 'modal'}

  # Menu for Bi sensors
  menu :bi_menu, :edit, { controller: :sensors, action: :edit }, caption: 'Edit', first: true, html: {class: 'block-ui-but'}, admin: true

  Redborder::MenuManager.map :domain_menu do |menu|
    menu.push :add_bi_sensor, { controller: :sensors, action: :new_bi },
              caption: 'BI',
              icon: 'sensor-menu-icon bi',
              parent: :add_sensor,
              html: {'data-backdrop' => 'static', 'data-target' => '#new_sensor_modal',
                     'data-toggle' => 'modal'},
              admin: true,
              if: proc { |s| (RedBorder::LICENSING_MODE == 'organization' &&
                                  [Sensor::ORGANIZATION, Sensor::MARKET,
                                   Sensor::CAMPUS, Sensor::BUILDING,
                                   Sensor::DEPLOYMENT].include?(s.domain_type)) ||
                                 (RedBorder::LICENSING_MODE == 'global' &&
                                  [Sensor::ORGANIZATION, Sensor::MARKET,
                                   Sensor::CAMPUS, Sensor::BUILDING, Sensor::DEPLOYMENT,
                                   Sensor::NAMESPACE].include?(s.domain_type))
                           },
              module: 'bi'
  end

  Redborder::MenuManager.map :client_proxy_menu do |menu|
  menu.push :add_bi_sensor, { controller: :sensors, action: :new_bi },
              caption: 'Bi',
              icon: 'sensor-menu-icon bi',
              parent: :add_sensor,
              html: {'data-backdrop' => 'static', 'data-target' => '#new_sensor_modal',
                     'data-toggle' => 'modal'},
              admin: true,
              module: 'bi'
  end

  menu :sensors_view_menu, :bi_view,
       { controller: :sensors, action: :bi },
       caption: 'tr.bi2.bi_sensors',
       html: {class: 'block-ui-but'}


  menu :user_home_page_collection_menu, :Bi, {}, caption: '/bi'

  menu :module_views_menu, :clients, { action: :clients },
       caption: 'Clients', html: { class: 'block-ui-but' },
       common: true, module: :bi, after: :tops

  menu :module_views_menu, :map, { action: :map },
       caption: 'Map', html: { class: 'block-ui-but' },
       common: true, module: :bi, after: :clients
end

# extend DRUID_CONFIG
druid_bi_config = YAML.load(File.read("#{Rails.root}/lib/modules/bi/config/rbdruid_config.yml"))[Rails.env].symbolize_keys
RedBorder::DRUID_CONFIG.merge! druid_bi_config

require_dependency 'widget_bi'
require_dependency 'report_block_bi'
require_dependency 'alarm_bi'
require_dependency 'sensor_bi'

DittoCode::Exec.if 'ENTERPRISE' do
require_dependency 'license_bi'
end

# Require controllers
require_dependency 'widgets_controller_bi'
require_dependency 'application_controller_bi'
require_dependency 'sensors_controller_bi'

# Require hooks
require_dependency 'hooks/alarms_bi_hook'
require_dependency 'hooks/widget_data_bi_hook'

# Require helpers
require_dependency 'widgets_helper_bi'

to_prepare = proc do
  unless WidgetsController.include?(RedBorder::WidgetsControllerBi)
    WidgetsController.send(:include, RedBorder::WidgetsControllerBi)
  end
  unless ApplicationController.include?(RedBorder::ApplicationControllerBi)
    ApplicationController.send(:include, RedBorder::ApplicationControllerBi)
  end
  unless WidgetsHelper.include?(RedBorder::WidgetsHelperBi)
    WidgetsHelper.send(:include, RedBorder::WidgetsHelperBi)
  end
  unless SensorsController.include?(RedBorder::SensorsControllerBi)
    SensorsController.send(:include, RedBorder::SensorsControllerBi)
  end
end

Rails.configuration.to_prepare(&to_prepare)
