#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

RedBorder::Application.routes.draw do
  resources :location, only: :index do
    collection do
      get :tops
      get :map
      get :movements
      get :sessions
      get :search
      post :store_tab
      post :store_chart_type
      post :store_status_tab
      post :store_client_profile
      get :load_tab
      get :load_serie
      get 'tops/get_serie/:id', action: :get_serie
      get 'tops/get_tops/:id', action: :get_tops
      get :sort_aggregations
      get 'aggregations/reorder',
          to: 'location#reorder_aggregations', as: 'reorder_location_aggregations'
    end
  end

  patch 'saved_location_filter/:id/add',
        to: 'saved_location_filters#add_saved_filter',
        as: 'add_saved_location_filter'
  post 'saved_location_filters/create',
       to: 'saved_location_filters#create'

  resources :saved_location_filters, path: '/saved/location_filters' do
    collection do
      post :title
    end

    member do
      get :view
      post :update
    end
  end
end
